Page MenuHomePhabricator

OOUIHTMLForm info fields should be better separated from surroundings
Closed, ResolvedPublic

Description

Here is an example from OAuth (Special:OAuthConsumerRegistration/update):


While the original form is not beautiful, it is easy to parse. The OOUI form does not honor setWrapperLegend, breaks up labels and input elements, and spaces things out, which create the top text and the info fields to flow together.

Details

Related Gerrit Patches:

Event Timeline

Tgr created this task.Jun 18 2015, 10:13 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaWiki-HTMLForm.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 10:13 PM
matmarex renamed this task from OOUIHTMLForm info fields should be better separated from surrondings to OOUIHTMLForm info fields should be better separated from surroundings.Jul 11 2015, 12:28 PM
matmarex set Security to None.

Change 224239 had a related patch set uploaded (by Bartosz Dziewoński):
OOUIHTMLForm: Support setWrapperLegend()

https://gerrit.wikimedia.org/r/224239

Change 224239 merged by jenkins-bot:
OOUIHTMLForm: Support setWrapperLegend()

https://gerrit.wikimedia.org/r/224239

matmarex closed this task as Resolved.Jul 15 2015, 10:27 AM
matmarex claimed this task.
matmarex triaged this task as Normal priority.
matmarex removed a project: Patch-For-Review.